#!/usr/bin/env python

import codecs, vContent

f = codecs.open("tests/test.vcf", encoding="utf-8")
out = codecs.open("tmp.vcf", "w", encoding="utf-8")
try:
    doc = vContent.iterparse(f)
    w = vContent.StreamWriter(out)
    for name, parameters, value in doc:
        print "%r, %r, %r" % (name, parameters, value)
        w.write(name, parameters, value)
finally:
    out.close()
    f.close()

# vim: tabstop=4 expandtab shiftwidth=4
